package com.smartgwt.sample.server;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.isomorphic.datasource.BasicDataSource;
import com.isomorphic.datasource.DSRequest;
import com.isomorphic.datasource.DSResponse;

public class SupplyDataSource extends BasicDataSource {  
	  
	public DSResponse executeFetch(DSRequest req) throws Exception {  
        DSResponse resp = new DSResponse();
        resp.setData(fetchAll(req));
        resp.setStatus(0);
        return resp;  
    }  
	
    public DSResponse executeUpdate(DSRequest req) throws Exception {
    	DSResponse resp = new DSResponse();  
        resp.setData(updateRecord(req));
        return resp;  
    }
  
    private List updateRecord(DSRequest req) throws Exception {  
    	List collection = new ArrayList();
    	collection.addAll(req.getValueSets());
		return collection;
    }
    
    private List fetchAll(DSRequest req) throws Exception {  
    	List collection = new ArrayList();
    	Map record = new HashMap();
		record.put("itemID", 10000);
		record.put("itemName", "Computers");
		record.put("SKU", "-");
		record.put("description", "Various");
		record.put("category", "computers");
		record.put("unitCost", "2.15");
		collection.add(record);
		return collection;
    }

    
}